OpenNMS API 1.2.9

## org.opennms.netmgt.notifd.mock
Class MockNotifdConfigManager

    java.lang.Object
      org.opennms.netmgt.config.NotifdConfigManager
          org.opennms.netmgt.notifd.mock.MockNotifdConfigManager

public class MockNotifdConfigManager
extends NotifdConfigManager

Author:
  David Hustace <david@opennms.org> TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`private java.lang.String` `m_configString`
`private java.lang.String` `m_nextNotifIdSql`

Fields inherited from class org.opennms.netmgt.config.NotifdConfigManager
`configuration`

Constructor Summary
`MockNotifdConfigManager(java.lang.String configString)`

Method Summary
`java.lang.String` `getNextNotifIdSql()`
`protected void` `saveXml(java.lang.String xml)`
`void` `setNextNotifIdSql(java.lang.String sql)`
`protected void` `update()`

Methods inherited from class org.opennms.netmgt.config.NotifdConfigManager
`getConfiguration, getNotificationMatch, getNotificationStatus, matchNotificationParameters, parseXml, saveCurrent, sendEvent, turnNotifdOff, turnNotifdOn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_configString

    private java.lang.String m_configString

### m_nextNotifIdSql

    private java.lang.String m_nextNotifIdSql

Constructor Detail

### MockNotifdConfigManager

    public MockNotifdConfigManager(java.lang.String configString)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException,
                                   java.io.IOException

Parameters:
  `configString` -
Throws:
  `java.io.IOException`
  `org.exolab.castor.xml.ValidationException`
  `org.exolab.castor.xml.MarshalException`

Method Detail

### update

    protected void update()
                   throws java.io.IOException,
                          org.exolab.castor.xml.MarshalException,
                          org.exolab.castor.xml.ValidationException

  Specified by:
    `update` in class `NotifdConfigManager`
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `java.io.IOException`
    `org.exolab.castor.xml.ValidationException`

### saveXml

    protected void saveXml(java.lang.String xml)
                    throws java.io.IOException

  Specified by:
    `saveXml` in class `NotifdConfigManager`
  Parameters:
    `xml` -
  Throws:
    `java.io.IOException`

### getNextNotifIdSql

    public java.lang.String getNextNotifIdSql()
                                       throws java.io.IOException,
                                              org.exolab.castor.xml.MarshalException,
                                              org.exolab.castor.xml.ValidationException

  Overrides:
    `getNextNotifIdSql` in class `NotifdConfigManager`
  Returns:
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.io.IOException`

### setNextNotifIdSql

    public void setNextNotifIdSql(java.lang.String sql)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.